import { type ReactiveControllerHost } from 'lit';
export declare type ConsumeContextOptions<T> = {
    /**
     * A unique identifier used to pair a context provider and consumer.
     */
    id: symbol;
};
export declare type ContextConsumerHost = ReactiveControllerHost & Node;
export declare type OrphanContextConsumer = {
    host: ContextConsumerHost;
    setValue(value: any): void;
};
export declare class ContextConsumerController<T> {
    protected readonly _host: ContextConsumerHost;
    readonly initialValue: T;
    protected readonly _options: ConsumeContextOptions<T>;
    protected _registrationCallbacks?: ((value: T) => void)[];
    get id(): symbol;
    get value(): T;
    get registered(): boolean;
    constructor(_host: ContextConsumerHost, initialValue: T, _options: ConsumeContextOptions<T>);
    /**
     * Attempt connecting to a context provider.
     */
    protected _connect(): void;
    whenRegistered(callback: (value: T) => void): void;
}
export declare function adoptOrphans(id: symbol, provider: Node): OrphanContextConsumer[];
//# sourceMappingURL=ContextConsumerController.d.ts.map