import { ContextConsumerController, type ContextConsumerHost } from './ContextConsumerController';
import { ContextProviderController, type ContextProviderHost } from './ContextProviderController';
/**
 * Creates and returns a pairable context consumer and provider.
 */
export declare function createContext<T>(initValue: () => T): Context<T>;
export interface Context<T> {
    readonly id: symbol;
    provide(host: ContextProviderHost): ContextProviderController<T>;
    consume(host: ContextConsumerHost): ContextConsumerController<T>;
}
//# sourceMappingURL=createContext.d.ts.map